<div class="docs-primary-header component-page-header">
    <mat-chip-list>
        <mat-chip>
          <mat-icon>home</mat-icon>
          <a (click)="onClick()">Home</a>/
            Mapped Distributors
        </mat-chip>
        
    </mat-chip-list>
  </div>
   
  
  <div style="padding:15px;" class="appereance">
    <div class="example-container mat-elevation-z2 radius">
      <div class="title">
        <span>MAPPED DISTRIBUTERS</span>
  
        <div style="flex-grow:1;"></div>
        <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent"><mat-icon color="warn">delete</mat-icon>Distributers</button> 
      </div>
      
      <div class="example-header">
        <mat-form-field>
          <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
        </mat-form-field>
      </div>
  
      <mat-table #table [dataSource]="dataSource" matSort>
  
        <ng-container matColumnDef="product_id">
          <mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 100px;"> ID. </mat-header-cell>
          <mat-cell *matCellDef="let element; let i=index" style="max-width: 100px;"> {{i+1}} </mat-cell>
        </ng-container>
  
        <ng-container matColumnDef="product_name">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Product Name </mat-header-cell>
          <mat-cell *matCellDef="let element"> 
            <div style="margin-right: 25px;"> {{element.product_name}} </div>
          </mat-cell>
        </ng-container>
  
        <ng-container matColumnDef="vehicle_name">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Mapped Distributors </mat-header-cell>
          <mat-cell *matCellDef="let element">
  
            <mat-accordion>
              <mat-expansion-panel style="box-shadow: none;">
                <mat-expansion-panel-header>
                  <mat-panel-title>
                    Show List
                  </mat-panel-title>
                </mat-expansion-panel-header>
                <mat-chip-list>
                  <mat-chip *ngFor="let vehicle of element.distributors">{{vehicle.name}}</mat-chip>
                </mat-chip-list>
              </mat-expansion-panel>
            </mat-accordion>
  
          </mat-cell>
        </ng-container>
  
        <ng-container matColumnDef="uploaded_by">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Uploaded By </mat-header-cell>
          <mat-cell *matCellDef="let element">
            <mat-chip-list>
              <mat-chip>{{element.name}} |
                <span style="color: #414EB0; margin-left: 5px;">{{element.uploaded_by}}</span>
              </mat-chip>
            </mat-chip-list>
          </mat-cell>
        </ng-container>
  
        <!-- <ng-container matColumnDef="select"> 
          <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
          <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.product_id)" color="primary"></mat-checkbox></mat-cell>
        </ng-container> -->
        <ng-container matColumnDef="select">
          <mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
            [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                >
            </mat-checkbox>
          </mat-header-cell>
          <mat-cell *matCellDef="let row">  
            <mat-checkbox  (change)="sendIDS($event.checked,row.product_id,posts.length)"
                          [checked]="sel">
            </mat-checkbox>
          </mat-cell>
        </ng-container>
  
        <!-- <ng-container matColumnDef="actions">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
          <mat-cell *matCellDef="let element"> 
            <button mat-icon-button>
              <mat-icon matTooltip="Edit" (click)="sidenav1.toggle()" (click)="edit(element.category_id, element.type)">edit
              </mat-icon>
            </button>
  
           
          </mat-cell>
        </ng-container> -->
  
        <mat-header-row *matHeaderRowDef="['product_id', 'product_name', 'vehicle_name', 'uploaded_by','select']"></mat-header-row>
        <mat-row *matRowDef="let row; columns: ['product_id', 'product_name', 'vehicle_name', 'uploaded_by','select']"></mat-row>
  
      </mat-table>
  
      <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
          <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

      </mat-paginator>
    </div>
  </div>